# Zoom One - June 21, 2022 import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx"; ## Added - New **Webinar** webhook events: - `meeting.participant_room_system_callout_ringing` - `meeting.participant_room_system_callout_accepted` - `meeting.participant_room_system_callout_rejected` - `meeting.participant_room_system_callout_missed` - `meeting.participant_room_system_callout_failed` - `meeting.chat_message_sent` - `webinar.chat_message_sent` - New **Chat** API: - `GET /v2/chat/channels` - New **Billing Invoice Report** APIs: - `POST /v2/accounts/billing/invoice_reports` - `GET /v2/accounts/billing/invoice_reports` - `GET /v2/accounts/billing/invoice_reports/{invoiceReportId}` - `DELETE /v2/accounts/billing/invoice_reports/{invoiceReportId}` - New **Meetings** API: - `DELETE /v2/live_meetings/{meetingId}/chat/messages/{messageId}` - New **Webinars** API: - `DELETE /v2/live_webinars/{webinarId}/chat/messages/{messageId}` - New **Archiving** API: - `GET /v2/archive_files/statistics` - New **Meeting** and **Webinar** APIs: - `GET /v2/meetings/{meetingId}/jointoken/local_recording` - `GET /v2/webinars/{webinarId}/jointoken/local_recording` ## Enhancements - New `participant.invite.room_system_callout` value for the `method` field and new `device_ip` and `call_type` fields in the `params` field in the **Use in-meeting controls** API: - `PATCH /v2/live_meetings/{meetingId}/events` - New `panelist_authentication`, `add_audio_watermark`, and `add_watermark` request fields in the following **Webinars** APIs: - `POST /v2/users/{userId}/webinars` - `PATCH /v2/webinars/{webinarId}` - New `panelist_authentication`, `add_audio_watermark`, and `add_watermark` response fields in the following **Webinars** APIs: - `POST /v2/users/{userId}/webinars` - `GET /v2/webinars/{webinarId}` - New `user_ids` response field in the **Get a message** API: - `GET /v2/chat/users/{userId}/messages/{messageId}` - Add error message `300` - `This API is not available for this account, please contact Zoom support.` and `300` - `The account is over is meeting and webinar cloud storage limits. Additional storage needs to be purchased or cloud recordings need to be deleted.` in the **Use in-meeting controls** APIs: - `PATCH /v2/live_meetings/{meetingId}/events` - `PATCH /v2/videosdk/sessions/{sessionId}/events` - Add error message `3000` - `The account is over meeting and webinar cloud storage limits. If the account is not within its limits at the start of the meeting the recording will fail.` in the following **Meeting** and **Webinar** APIs: - `POST /v2/users/{userId}/webinars` - `GET /v2/webinars/{webinarId}` - `POST /v2/users/{userId}/meetings` - `GET /v2/meetings/{meetingId}` - New `files` response field in the following **Chat Message** APIs: - `GET /v2/chat/users/{userId}/messages` - `GET /v2/chat/users/{userId}/messages/{messageId}` - Delete all the **Deprecated Webhook** related APIs: - `GET /v2/webhooks` - `POST /v2/webhooks` - `GET /v2/webhooks/{webhookId}` - `PATCH /v2/webhooks/{webhookId}` - `DELETE /v2/webhooks/{webhookId}` - `PATCH /v2/webhooks/options` - New `recurrence` field in the following **Meetings** and **Webinars** webhooks: - `meeting.created` - `webinar.created` - New `recording_play_passcode` response field in the following **Cloud Recording** API: - `GET /v2/meetings/{meetingId}/recordings` - New `zoomroom.restart`, `zoomroom.meeting_leave`, `zoomroom.meeting_join`, `zoomroom.meeting_invite`, `zoomroom.meeting_cancel`, `zoomroom.meeting_end`, `zoomroom.mute`, `zoomroom.unmute`, `zoomroom.meeting_accept`, and `zoomroom.meeting_decline` values for the `method` field and new `meeting_number`, `passcode`, `force_accept`, `user_ids`, `meeting_topic`, `start_time`, `duration`, and `timezone` fields in the `params` field in the **Zoom Rooms** API: - `PATCH /v2/rooms/{id}/events` - New `query_name` request parameter field in the following **Zoom Rooms** API: - `GET /v2/rooms` - New `manage_saved_polls_and_quizzes` field in the following **Settings** APIs: - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - New `calendar_resource_id` field in the following **Zoom Rooms** APIs: - `GET /v2/rooms/{roomId}` - `PATCH /v2/rooms/{roomId}` - `POST /v2/rooms` - New `comment` field in the following **Dashboards** APIs: - `GET /v2/metrics/webinars/{webinarId}/participants/satisfaction` - `GET /v2/metrics/meetings/{meetingId}/participants/satisfaction` - New `entry_exit_chime`, `record_play_own_voice` field in the following **Zoom Room** APIs: - `GET /v2/rooms/{id}/settings` - `PATCH /v2/rooms/{id}/settings` - New `user_id` field in the following **Workspace** API: - `GET /v2/workspaces/{workspaceId}/reservations` - New `number_of_messages` field in the following **Archiving** APIs and webhook: - `GET /v2/archive_files` - `GET /v2/past_meetings/{meetingUUID}/archive_files` - `recording.archive_files_completed` - New enum value `failed` for the `status` field in the following **Archiving** APIs: - `GET /v2/archive_files` - `GET /v2/past_meetings/{meetingUUID}/archive_files` - Removed `host_key` response field from the following **Users** APIs: - `GET /users` - `GET /users/{userId}` - `GET /users/me` - `GET /accounts/{accountId}/users` - `GET /accounts/{accountId}/users/{userId}` - New `user_key` field in the following **VideoSDK** webhooks: - `session.user_joined` - `session.user_left` ## Bug Fixes - Fixed issue where when creating a pending user by **Create User** API with the `action` `ssoCreate`, the user’s role should be `owner`: - `POST /v2/users` - Fixed issue where the value of `next_page_token` field was wrong in some cases in the following **Cloud Recording** APIs: - `GET /v2/users/{userId}/recordings` - `GET /v2/accounts/{accountId}/users/{userId}/recordings` - Fixed bug where **Audio Conferencing** plans were unable to be added with **Zoom United** plans: - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` - Fixed Unable to list 3 tier sub-accounts: - `GET /v2/accounts`